class Main {

     public static void main(String[] args) {
         final int THREADS_NUMBER = 3;
         Thread t[] = new Thread[THREADS_NUMBER];

         for (int i = 0; i < t.length; i++) {
             ThreadJob threadJob = new ThreadJob(String.valueOf(i));
             t[i] = new Thread(threadJob);
             t[i].start();
         }

         for (int i = 0; i < t.length; i++) {
            try {
                t[i].join();
            }
            catch (InterruptedException e) {
                // this part is executed when an exception (in this example InterruptedException) occurs
                System.err.println("InterruptedException: " + e);
            }
        }
        System.out.println("Threads execution finished");
    }

}
