import java.io.*;

public class ThreadIHMSend implements Runnable {
    private SocketClient client;
    private IHM clientIHM;

    ThreadIHMSend(SocketClient c, IHM ui) {
        client = c;
        clientIHM = ui;
    }

    public void run() {
        try {
            boolean end = false;
            while (!end) {
                String line = clientIHM.getNextMessageToSend();
                if (line.equals(".")) {
                    end = true;
                }
                if (line.length() != 0) {
                    client.sendMsg(line);
                    System.out.println(Thread.currentThread().getName() + " a envoye " + line);
                }
            }
        }
        catch (Exception e) {
            System.err.println("Exception: " + e);
            e.printStackTrace();
        }
    }
}
